com.sun.source.tree

## Interface InstanceOfTree

- All Superinterfaces:
    ExpressionTree, Tree

      public interface InstanceOfTree
      extends ExpressionTree

  A tree node for an 'instanceof' expression. For example:

         expression instanceof type

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.20.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getExpression()`
    `Tree` | `getType()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression()

    - #### getType

          Tree getType()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.